package com.learningosgi.test.internal;

import com.learningosgi.test.external.SomeService;

/**
 * Example OSGi Service Implementation, wired against the exposed interface found in 
 *   
 *   com.learningosgi.test.external.SomeService
 *   
 * using Spring DM.  For more details refer to the Spring DM configuration located at
 * 
 *   ${project.home}/src/main/resources/META-INF/spring/osgi-context.xml 
 *   
 *   AND the MANIFEST.MF auto-generation performed by the maven-bundle-plugin 
 *   config found in 
 *   
 *   ${project.home}/pom.xml
 *   
 * @author SZH
 *
 */
public class SomeServiceImpl implements SomeService {

	public SomeServiceImpl() {
		System.out.println("SomeServiceImpl instantiated in OSGi container!");
	}
	
	public String getMeAString() {
		
		return "Some random string";
	}

}
